#region Imports
using System;
using System.Drawing;
using System.Windows.Forms;
using System.Resources; 
#endregion

namespace SyntaxHighlight
{
    public partial class Options : Form
    {
        #region Members
        private Configuration config = Configuration.GetInstance();
        private ResourceManager LocRM = new ResourceManager("SyntaxHighlight.Properties.Resources", typeof(Options).Assembly); 
        #endregion

        #region .ctor
        public Options()
        {
            InitializeComponent();

            config = config.Load();

            cbLanguages.DataSource = Configuration.GetLanguages();
            cbLanguages.SelectedValue = config.Language;

            templateBox.Text = config.Template;
        } 
        #endregion

        #region Event handlers
        private void buttonSave_Click(object sender, EventArgs e)
        {
            try
            {
                config.Language = cbLanguages.SelectedValue.ToString();
                config.Template = templateBox.Text;

                config.Save();

                MessageBox.Show(this, LocRM.GetString("config_saved"), "BuayaCorp", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            catch
            {
                MessageBox.Show(this, LocRM.GetString("config_error_save"), "BuayaCorp", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        } 
        #endregion
    }
}