#region Imports
using System;
using WindowsLive.Writer.Api;
using System.Windows.Forms; 
#endregion

namespace SyntaxHighlight
{
    [
        WriterPlugin (
            "B997575A-4EE8-4e6e-9078-160EC8FB3361",
            "Syntax Highliter Plugin",
            ImagePath = "Images.icon.gif",
            PublisherUrl = "http://www.buayacorp.com/",
            Description = "Highlights source code",
            HasEditableOptions=true
        )
    ]

    [InsertableContentSourceAttribute("Syntax highlighted text")]

    public class Plugin : ContentSource
    {
        public override System.Windows.Forms.DialogResult CreateContent(System.Windows.Forms.IWin32Window dialogOwner, ref string newContent)
        {
            using (InputForm form = new InputForm())
            {
                form.StartPosition = FormStartPosition.CenterParent;

                DialogResult result = form.ShowDialog(dialogOwner);

                if (result == DialogResult.OK)
                {
                    newContent = form.GetHtml();
                }
                
                return result;
            }
        }
        public override void EditOptions(IWin32Window dialogOwner)
        {
            using (Options form =new Options())
            {
                form.StartPosition = FormStartPosition.CenterParent;
                form.ShowDialog(dialogOwner);
            }
        }
    }
}
